Bug 36642 - Generate Summary Results Post-processor does not work
Generate Summary Results Post-processor does not work
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.1
All Linux
: P3 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-09-13 18:17 UTC by Serguei Belikov
Modified: 2005-09-13 18:11 UTC (History)
0 users



Attachments
Test plan to illustrate the bug (9.06 KB, text/plain)
2005-09-13 18:34 UTC, Serguei Belikov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Serguei Belikov 2005-09-13 18:17:11 UTC
In version 2.1 Generate Summary Results Post-processor shows invalid data.

2005/09/13 11:41:53 INFO  - jmeter.JMeter: Version 2.1
2005/09/13 11:41:53 INFO  - jmeter.JMeter: java.version=1.5.0_02

Here is a jmx file to illustrate a bug.
--- cut here ---
<jmeterTestPlan version="1.1" properties="1.7">
  <hashTree>
    <TestPlan>
      <elementProp name="TestPlan.user_defined_variables"
elementType="org.apache.jmeter.config.Arguments">
        <stringProp
name="TestElement.gui_class">org.apache.jmeter.config.gui.ArgumentsPanel</stringProp>
        <stringProp
name="TestElement.test_class">org.apache.jmeter.config.Arguments</stringProp>
        <collectionProp name="Arguments.arguments"/>
        <stringProp name="TestElement.name">User Defined Variables</stringProp>
        <boolProp name="TestElement.enabled">true</boolProp>
      </elementProp>
      <stringProp
name="TestElement.gui_class">org.apache.jmeter.control.gui.TestPlanGui</stringProp>
      <boolProp name="TestPlan.serialize_threadgroups">false</boolProp>
      <stringProp
name="TestElement.test_class">org.apache.jmeter.testelement.TestPlan</stringProp>
      <stringProp name="TestElement.name">Test Plan</stringProp>
      <boolProp name="TestPlan.functional_mode">false</boolProp>
      <boolProp name="TestElement.enabled">true</boolProp>
      <stringProp name="TestPlan.comments"></stringProp>
    </TestPlan>
    <hashTree>
      <ThreadGroup>
        <longProp name="ThreadGroup.start_time">0</longProp>
        <stringProp
name="TestElement.test_class">org.apache.jmeter.threads.ThreadGroup</stringProp>
        <stringProp name="ThreadGroup.delay"></stringProp>
        <stringProp name="ThreadGroup.duration"></stringProp>
        <boolProp name="TestElement.enabled">true</boolProp>
        <stringProp name="ThreadGroup.num_threads">1</stringProp>
        <boolProp name="ThreadGroup.scheduler">false</boolProp>
        <stringProp
name="TestElement.gui_class">org.apache.jmeter.threads.gui.ThreadGroupGui</stringProp>
        <elementProp name="ThreadGroup.main_controller"
elementType="org.apache.jmeter.control.LoopController">
          <stringProp
name="TestElement.gui_class">org.apache.jmeter.control.gui.LoopControlPanel</stringProp>
          <stringProp name="LoopController.loops">10</stringProp>
          <stringProp
name="TestElement.test_class">org.apache.jmeter.control.LoopController</stringProp>
          <stringProp name="TestElement.name">Loop Controller</stringProp>
          <boolProp name="TestElement.enabled">true</boolProp>
          <boolProp name="LoopController.continue_forever">false</boolProp>
        </elementProp>
        <stringProp name="TestElement.name">Thread Group</stringProp>
        <longProp name="ThreadGroup.end_time">0</longProp>
        <stringProp name="ThreadGroup.on_sample_error">continue</stringProp>
        <stringProp name="ThreadGroup.ramp_time">0</stringProp>
      </ThreadGroup>
      <hashTree>
        <JavaSampler>
          <elementProp name="arguments"
elementType="org.apache.jmeter.config.Arguments">
            <stringProp
name="TestElement.gui_class">org.apache.jmeter.config.gui.ArgumentsPanel</stringProp>
            <stringProp
name="TestElement.test_class">org.apache.jmeter.config.Arguments</stringProp>
            <collectionProp name="Arguments.arguments">
              <elementProp name="Sleep_Time"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp
name="Argument.value">${__Random(100,1000,qq)}</stringProp>
                <stringProp name="Argument.name">Sleep_Time</stringProp>
              </elementProp>
              <elementProp name="Sleep_Mask"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp name="Argument.value">0xFF</stringProp>
                <stringProp name="Argument.name">Sleep_Mask</stringProp>
              </elementProp>
              <elementProp name="Label"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp name="Argument.value"></stringProp>
                <stringProp name="Argument.name">Label</stringProp>
              </elementProp>
              <elementProp name="ResponseCode"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp name="Argument.value">200</stringProp>
                <stringProp name="Argument.name">ResponseCode</stringProp>
              </elementProp>
              <elementProp name="ResponseMessage"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp name="Argument.value"></stringProp>
                <stringProp name="Argument.name">ResponseMessage</stringProp>
              </elementProp>
              <elementProp name="Status"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp name="Argument.value">OK</stringProp>
                <stringProp name="Argument.name">Status</stringProp>
              </elementProp>
              <elementProp name="SamplerData"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp name="Argument.value"></stringProp>
                <stringProp name="Argument.name">SamplerData</stringProp>
              </elementProp>
              <elementProp name="ResultData"
elementType="org.apache.jmeter.config.Argument">
                <stringProp name="Argument.metadata">=</stringProp>
                <stringProp name="Argument.value">Ok</stringProp>
                <stringProp name="Argument.name">ResultData</stringProp>
              </elementProp>
            </collectionProp>
            <stringProp name="TestElement.name"></stringProp>
            <boolProp name="TestElement.enabled">true</boolProp>
          </elementProp>
          <stringProp
name="classname">org.apache.jmeter.protocol.java.test.JavaTest</stringProp>
          <stringProp
name="TestElement.gui_class">org.apache.jmeter.protocol.java.control.gui.JavaTestSamplerGui</stringProp>
          <stringProp
name="TestElement.test_class">org.apache.jmeter.protocol.java.sampler.JavaSampler</stringProp>
          <stringProp name="TestElement.name">Java Request</stringProp>
          <boolProp name="TestElement.enabled">true</boolProp>
        </JavaSampler>
        <hashTree>
          <org.apache.jmeter.reporters.Summariser>
            <stringProp
name="TestElement.gui_class">org.apache.jmeter.reporters.gui.SummariserGui</stringProp>
            <stringProp
name="TestElement.test_class">org.apache.jmeter.reporters.Summariser</stringProp>
            <stringProp name="TestElement.name">Test Summary  :</stringProp>
            <boolProp name="TestElement.enabled">true</boolProp>
          </org.apache.jmeter.reporters.Summariser>
          <hashTree/>
        </hashTree>
        <org.apache.jmeter.reporters.Summariser>
          <stringProp
name="TestElement.gui_class">org.apache.jmeter.reporters.gui.SummariserGui</stringProp>
          <stringProp
name="TestElement.test_class">org.apache.jmeter.reporters.Summariser</stringProp>
          <stringProp name="TestElement.name">Total Summary :</stringProp>
          <boolProp name="TestElement.enabled">true</boolProp>
        </org.apache.jmeter.reporters.Summariser>
        <hashTree/>
        <ResultCollector>
          <stringProp
name="TestElement.gui_class">org.apache.jmeter.visualizers.StatVisualizer</stringProp>
          <stringProp
name="TestElement.test_class">org.apache.jmeter.reporters.ResultCollector</stringProp>
          <stringProp name="TestElement.name">Aggregate Report</stringProp>
          <objProp>
            <value class="org.apache.jmeter.samplers.SampleSaveConfiguration">
              <time>true</time>
              <latency>true</latency>
              <timestamp>true</timestamp>
              <success>true</success>
              <label>true</label>
              <code>true</code>
              <message>true</message>
              <threadName>true</threadName>
              <dataType>true</dataType>
              <encoding>false</encoding>
              <assertions>true</assertions>
              <subresults>true</subresults>
              <responseData>false</responseData>
              <samplerData>false</samplerData>
              <xml>true</xml>
              <fieldNames>false</fieldNames>
              <responseHeaders>false</responseHeaders>
              <requestHeaders>false</requestHeaders>
              <responseDataOnError>false</responseDataOnError>
             
<saveAssertionResultsFailureMessage>false</saveAssertionResultsFailureMessage>
              <assertionsResultsToSave>0</assertionsResultsToSave>
              <delimiter>,</delimiter>
              <printMilliseconds>true</printMilliseconds>
            </value>
            <name>saveConfig</name>
          </objProp>
          <boolProp name="TestElement.enabled">true</boolProp>
          <stringProp name="filename"></stringProp>
          <boolProp name="ResultCollector.error_logging">false</boolProp>
        </ResultCollector>
        <hashTree/>
      </hashTree>
    </hashTree>
  </hashTree>
</jmeterTestPlan>

--- cut here ---
Comment 1 Sebb 2005-09-13 18:21:02 UTC
Corrected version (2.1.2 does not exist yet!).

Also, please can you attach the test plan as a text file - it's very awkward 
extracting these from the body of the issue as they wrap awkwardly.
Comment 2 Serguei Belikov 2005-09-13 18:34:07 UTC
Created attachment 16396 [details]
Test plan to illustrate the bug

Please find an attached test plan.
Comment 3 Sebb 2005-09-14 02:11:18 UTC
Thanks for the report.

Fixed the bug in 2.1 branch - will be in 2.1.1 due shortly.